Search

Generated search operations.

GET/v1/search/genresRead permitted video genres with selected representative artworkread
Audience
Clients · Native API
Authorization
API key or personal access token with the read scope, or a signed-in session
OpenAPI operation ID
get_search_genres

Parameters

NameInTypeDescription
limitqueryinteger1–50
cursorquerystring
previewquerystring

Responses

200Successapplication/json

Example
{
  "genres": [
    {
      "backdrop": {
        "id": "id_8h2k4q",
        "kind": "item",
        "path": "string"
      },
      "count": 1,
      "covers": [
        {
          "id": "id_8h2k4q",
          "kind": "item",
          "path": "string"
        }
      ],
      "label": "string",
      "value": "string"
    }
  ],
  "hasGenres": true,
  "nextCursor": "eyJvIjoyMH0",
  "previousCursor": "eyJvIjoyMH0",
  "queryId": "id_8h2k4q",
  "reloadCursor": "eyJvIjoyMH0",
  "revision": "r12",
  "variant": "ready"
}
Schema
  • genresarray of objectrequired0–50 items
    • backdropobject
      • idstringrequired
      • kindstringrequiredone of "item", "show"
      • pathstringrequired
    • countintegerrequired≥ 1
    • coversarray of objectrequired0–2 items
      • idstringrequired
      • kindstringrequiredone of "item", "show"
      • pathstringrequired
    • labelstringrequired
    • valuestringrequired
  • hasGenresboolean
  • nextCursorstringlength 1–512pattern ^[A-Za-z0-9_-]+$
  • previousCursorstringlength 1–512pattern ^[A-Za-z0-9_-]+$
  • queryIdstringrequiredlength 1–512pattern ^[A-Za-z0-9_-]+$
  • reloadCursorstringlength 1–512pattern ^[A-Za-z0-9_-]+$
  • revisionstringrequired
  • variant"ready"required

202Successapplication/json

Example
{
  "kind": "genre-preparing",
  "queryId": "id_8h2k4q",
  "retryAfterMs": 1800000,
  "state": "preparing",
  "variant": "preparing"
}
Schema
  • kind"genre-preparing"required
  • queryIdstringrequiredlength 1–512pattern ^[A-Za-z0-9_-]+$
  • retryAfterMsintegerrequired≥ 1
  • state"preparing"required
  • variant"preparing"required

defaultRequest refused or unavailableapplication/json

Example
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
Schema
  • errorobjectrequired
    • codestringrequired
    • messagestringrequired

Error codesinvalid_requestunauthorizednot_permittednot_foundstale_continuationsearch_busymetadata_unavailableinternaldatabase_busy

Example request

curl -X GET "http://127.0.0.1:32500/v1/search/genres" \
  -H "Authorization: Bearer $PORTICO_API_KEY"
DELETE/v1/search/historyRemove search historyplayback
Audience
Clients · Native API
Authorization
API key or personal access token with the playback scope, or a signed-in session
OpenAPI operation ID
delete_search_history

Parameters

NameInTypeDescription
queryquerystring

Responses

200Successapplication/json

Example
{
  "entries": [
    {
      "query": "string",
      "updatedAt": "2026-10-18T19:30:00Z"
    }
  ],
  "remembered": true
}
Schema
  • entriesarray of objectrequired
    • querystringrequired
    • updatedAtstringrequired
  • rememberedbooleanrequired

defaultRequest refused or unavailableapplication/json

Example
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
Schema
  • errorobjectrequired
    • codestringrequired
    • messagestringrequired

Error codesinvalid_requestunauthorizednot_permittednot_foundinternaldatabase_busywriter_capacity

Example request

curl -X DELETE "http://127.0.0.1:32500/v1/search/history" \
  -H "Authorization: Bearer $PORTICO_API_KEY"
GET/v1/search/historyRead search historyread
Audience
Clients · Native API
Authorization
API key or personal access token with the read scope, or a signed-in session
OpenAPI operation ID
get_search_history

Responses

200Successapplication/json

Example
{
  "entries": [
    {
      "query": "string",
      "updatedAt": "2026-10-18T19:30:00Z"
    }
  ],
  "remembered": true
}
Schema
  • entriesarray of objectrequired
    • querystringrequired
    • updatedAtstringrequired
  • rememberedbooleanrequired

defaultRequest refused or unavailableapplication/json

Example
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
Schema
  • errorobjectrequired
    • codestringrequired
    • messagestringrequired

Error codesinvalid_requestunauthorizednot_permittednot_foundinternaldatabase_busy

Example request

curl -X GET "http://127.0.0.1:32500/v1/search/history" \
  -H "Authorization: Bearer $PORTICO_API_KEY"